## kdepim-addons 23.08.5

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.24.5")

project(kdepim-addons VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "5.105.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH  ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/ ${ECM_MODULE_PATH})

# Do NOT add quote
set(KDEPIM_DEV_VERSION )

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
  set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIMADDONS_VERSION_NUMBER ${PIM_VERSION})
set(KDEPIMADDONS_VERSION "${KDEPIMADDONS_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")

set(KDEPIMADDONS_LIB_VERSION "${KDEPIMADDONS_VERSION_NUMBER}")
set(KDEPIMADDONS_LIB_SOVERSION "5")

set(QT_REQUIRED_VERSION "5.15.2")


include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(CheckFunctionExists)
include(ECMGeneratePriFile)


include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
    set(KTEXTADDONS_MIN_VERSION "1.1.0")
else()
    set(KF_MAJOR_VERSION "5")
    set(KTEXTADDONS_MIN_VERSION "1.0.0")
endif()

option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)


find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED WebEngineWidgets Widgets Test)

if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat)
endif()

find_package(KF${KF_MAJOR_VERSION}I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Declarative ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}SyntaxHighlighting ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Parts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Prison ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Holidays ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)

set(MAILCOMMON_LIB_VERSION "5.24.5")
set(GRAVATAR_LIB_VERSION "5.24.5")
set(PIMCOMMON_LIB_VERSION "5.24.5")
set(GRANTLEETHEME_LIB_VERSION "5.24.5")
set(CALENDARSUPPORT_LIB_VERSION "5.24.5")
set(EVENTVIEW_LIB_VERSION "5.24.5")
set(LIBKDEPIM_LIB_VERSION "5.24.5")
set(KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION "5.24.5")
set(LIBKLEO_LIB_VERSION "5.24.5")
set(AKONADI_LIB_VERSION "5.24.5")
set(INCIDENCEEDITOR_LIB_VERSION "5.24.5")
set(KTNEF_LIB_VERSION "5.24.5")
set(MESSAGELIB_LIB_VERSION "5.24.5")
set(AKONADICALENDAR_LIB_VERSION "5.24.5")
set(CALENDAR_UTILS_VERSION "5.24.5")
set(KPIMTEXTEDIT_LIB_VERSION "5.24.5")
set(KIMAP_LIB_VERSION "5.24.5")
set(LIBKSIEVE_LIB_VERSION "5.24.5")
set(KMAILTRANSPORT_LIB_VERSION "5.24.5")
set(AKONADICONTACT_LIB_VERSION "5.24.5")
set(IMPORTWIZARD_LIB_VERSION "5.24.5")
set(MAILIMPORTER_LIB_VERSION "5.24.5")
set(KPIMPKPASS_LIB_VERSION "5.24.5")
set(KPIMITINERARY_LIB_VERSION "5.24.5")
set(AKONADINOTES_LIB_VERSION "5.24.5")
set(KPIM_MIME_VERSION "5.24.5")
find_package(KPim${KF_MAJOR_VERSION}Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}AkonadiNotes ${AKONADINOTES_LIB_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}CalendarUtils ${CALENDAR_UTILS_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}WebEngineViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}TemplateParser ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}MailCommon ${MAILCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}AddressbookImportExport ${KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}TextGrammarCheck ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}TextTranslator ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}IncidenceEditor ${INCIDENCEEDITOR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}MessageList ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}EventViews ${EVENTVIEW_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}Gravatar ${GRAVATAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}TextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}IdentityManagement ${KIDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}LibKSieve ${LIBKSIEVE_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}Tnef ${KTNEF_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}ContactEditor ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}ImportWizard ${IMPORTWIZARD_LIB_VERSION} CONFIG)
find_package(KPim${KF_MAJOR_VERSION}MailImporterAkonadi ${MAILIMPORTER_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}PkPass ${KPIMPKPASS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}Itinerary ${KPIMITINERARY_LIB_VERSION} CONFIG REQUIRED)

if (QT_MAJOR_VERSION STREQUAL "5")
    find_package(Grantlee5 "5.3" CONFIG REQUIRED)
    set(TEMPLATES_LIB Grantlee5::Templates)
else()
    find_package(KF6TextTemplate CONFIG REQUIRED)
    set(TEMPLATES_LIB KF6::TextTemplate)
endif()

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

if(KDEPIM_ENTERPRISE_BUILD)
  set(KDEPIM_ENTERPRISE_BUILD true)
else()
  set(KDEPIM_ENTERPRISE_BUILD false)
endif()

# Extra package
find_package(Gpgmepp 1.16.0 CONFIG)
set_package_properties(Gpgmepp PROPERTIES DESCRIPTION "GpgME library" URL "https://www.gnupg.org" TYPE REQUIRED)
if (QT_MAJOR_VERSION STREQUAL "5")
ecm_set_disabled_deprecation_versions(QT 5.15.0  KF 5.105.0)
else()
ecm_set_disabled_deprecation_versions(QT 6.4  KF 5.105.0)
endif()

option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(QTCREATOR_TEMPLATE_INSTALL_DIR ${KDE_INSTALL_DATADIR}/qtcreator/templates CACHE PATH "Define qtcreator template install path (default is /usr/share/qtcreator/templates)")

find_package(Discount "2")
set_package_properties("discount" PROPERTIES
        DESCRIPTION "A library that gives you formatting functions suitable for marking down entire documents or lines of text"
        URL "https://www.pell.portland.or.us/~orc/Code/discount/"
        TYPE RECOMMENDED
        PURPOSE "Generate Markdown file.")

if(discount_FOUND)
   if (${PC_LIBMARKDOWN_VERSION})
      if (${PC_LIBMARKDOWN_VERSION} VERSION_GREATER "2.2.5")
           set(DISCOUNT_HAS_HIGHLIGHTING_SUPPORT TRUE)
           MESSAGE(STATUS "Discount ${PC_LIBMARKDOWN_VERSION}: has highlighting support")
      endif()
   endif()
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

add_subdirectory(plugins)
add_subdirectory(korganizer)
add_subdirectory(kmail)
add_subdirectory(kaddressbook)
add_subdirectory(sieveeditor)
add_subdirectory(kmailtransport)
if (TARGET KPim${KF_MAJOR_VERSION}::ImportWizard)
  add_subdirectory(akonadi-import-wizard)
endif()

ecm_qt_install_logging_categories(
    EXPORT KDEPIMADDONS
    FILE kdepim-addons.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
    )
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== examples/CMakeLists.txt ===
add_subdirectory(messageviewergrantleetheme)

=== kmail/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2023 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(plugins)
add_subdirectory(editorplugins)
add_subdirectory(editorsendcheckplugins)
add_subdirectory(editorinitplugins)
add_subdirectory(editorconvertertextplugins)
add_subdirectory(grammarplugins)
add_subdirectory(checkbeforedeletemailplugins)

=== korganizer/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2023 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"korganizer_plugins\")
add_subdirectory(plugins)
add_subdirectory(emailaddressselectionldapdialog)

=== akonadi-import-wizard/evolutionv1/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019-2023 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

kcoreaddons_add_plugin(evolutionv1importerplugin SOURCES
    evolutionv1importdata.cpp evolutionv1importdata.h INSTALL_NAMESPACE pim${QT_MAJOR_VERSION}/importwizard)


target_link_libraries(evolutionv1importerplugin
  KPim${KF_MAJOR_VERSION}::ImportWizard
  KF${KF_MAJOR_VERSION}::XmlGui
  KF${KF_MAJOR_VERSION}::I18n
  KF${KF_MAJOR_VERSION}::Contacts
  KPim${KF_MAJOR_VERSION}::MailImporterAkonadi
  KPim${KF_MAJOR_VERSION}::MailTransport
  KPim${KF_MAJOR_VERSION}::MailCommon
  KPim${KF_MAJOR_VERSION}::IdentityManagement
  KPim${KF_MAJOR_VERSION}::MessageViewer
)

=== akonadi-import-wizard/mailapp/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

kcoreaddons_add_plugin(mailappimporterplugin INSTALL_NAMESPACE importwizard)
target_sources(mailappimporterplugin PRIVATE
   mailappimportdata.cpp
)

target_link_libraries(mailappimporterplugin
  KPim::ImportWizard
  KF${KF_MAJOR_VERSION}::XmlGui
  KF${KF_MAJOR_VERSION}::I18n
  KF${KF_MAJOR_VERSION}::Contacts
  KPim${KF_MAJOR_VERSION}::MailImporterAkonadi
  KPim${KF_MAJOR_VERSION}::MailTransport
  KPim${KF_MAJOR_VERSION}::IdentityManagement
  KPim${KF_MAJOR_VERSION}::MailCommon
)

=== akonadi-import-wizard/opera/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019-2023 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

kcoreaddons_add_plugin(operaimporterplugin INSTALL_NAMESPACE pim${QT_MAJOR_VERSION}/importwizard)
target_sources(operaimporterplugin PRIVATE
   operaaddressbook.cpp  
   operaimportdata.cpp  
   operasettings.cpp
   operaaddressbook.h
   operaimportdata.h
   operasettings.h
)

ecm_qt_declare_logging_category(operaimporterplugin HEADER operaplugin_debug.h IDENTIFIER OPERAPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.operaplugin)
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(operaimporterplugin PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(operaimporterplugin
  KPim${KF_MAJOR_VERSION}::ImportWizard
  KF${KF_MAJOR_VERSION}::XmlGui
  KF${KF_MAJOR_VERSION}::I18n
  KF${KF_MAJOR_VERSION}::Contacts
  KPim${KF_MAJOR_VERSION}::MailImporterAkonadi
  KPim${KF_MAJOR_VERSION}::MailTransport
  KPim${KF_MAJOR_VERSION}::MailCommon
  KPim${KF_MAJOR_VERSION}::IdentityManagement
)

=== kaddressbook/editorpages/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"cryptopageplugin\")

########### next target ###############
add_library(cryptopageplugin MODULE)
target_sources(cryptopageplugin PRIVATE cryptopageplugin.cpp cryptopageplugin.h)

target_link_libraries(cryptopageplugin KF${KF_MAJOR_VERSION}::Contacts KPim${KF_MAJOR_VERSION}::ContactEditor KPim${KF_MAJOR_VERSION}::Libkleo KF${KF_MAJOR_VERSION}::IconThemes KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::Completion Gpgmepp)

install(TARGETS cryptopageplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim${QT_MAJOR_VERSION}/contacteditor/editorpageplugins/)

=== kaddressbook/importexportplugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kaddressbook_importexportplugins\")

add_definitions(-DQGPGME_FOUND)

add_subdirectory(vcards)
if (QT_MAJOR_VERSION STREQUAL "6")
    MESSAGE(STATUS "csv needs to be port to qt6")
else()
    add_subdirectory(csv)
endif()
add_subdirectory(gmx)
add_subdirectory(ldap)
add_subdirectory(ldif)
add_subdirectory(windows-contacts)

=== kmail/checkbeforedeletemailplugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021-2023 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kmail_checkbeforedeleting_plugins\")
add_subdirectory(confirmbeforedeleting)

=== kmail/editorconvertertextplugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018-2023 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kmail_editorconvertertext_plugins\")
if(discount_FOUND)
	add_subdirectory(markdown)
endif()

add_subdirectory(qtcreator-template)

=== kmail/grammarplugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019-2023 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kmail_editorgrammar_plugins\")
add_subdirectory(grammalecte)
add_subdirectory(languagetool)

=== debian/changelog ===
kdepim-addons (23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:02:02 +1100

kdepim-addons (23.08.5-0ubuntu3) noble; urgency=high

  * No change rebuild against libkpim5messagecomposer5t64,
    libkpim5messagecore5t64, libkpim5messageviewer5t64,
    libkpim5mimetreeparser5t64, libkpim5templateparser5t64,
    libkpim5webengineviewer5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 21:15:17 +0100

kdepim-addons (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:51:22 +0000

kdepim-addons (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:43:06 -0700

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               kaddressbook (>= 4:23.08.5~),
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.1~),
               libkf5akonadi-dev (>= 4:23.08.5~),
               libkf5akonadinotes-dev (>= 4:23.08.5~),
               libkf5calendarsupport-dev (>= 4:23.08.5~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:23.08.5~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5eventviews-dev (>= 4:23.08.5~),
               libkf5grantleetheme-dev (>= 23.08.5~),
               libkf5gravatar-dev (>= 4:23.08.5~),
               libkf5holidays-dev,
               libkf5i18n-dev (>= 5.31.0~),
               libkf5incidenceeditor-dev (>= 23.08.5~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5kontactinterface-dev (>= 23.08.5~),
               libkf5ksieve-dev (>= 4:23.08.5~),
               libkf5libkdepim-dev (>= 4:23.08.5~),
               libkf5libkleo-dev (>= 4:23.08.5~),
               libkf5mailcommon-dev (>= 4:23.08.5~),
               libkf5mailimporter-dev (>= 4:23.08.5~),
               libkf5messagecomposer-dev (>= 4:23.08.5~),
               libkf5messagecore-dev (>= 4:23.08.5~),
               libkf5messagelist-dev (>= 4:23.08.5~),
               libkf5messageviewer-dev (>= 4:23.08.5~),
               libkf5mimetreeparser-dev (>= 4:23.08.5~),
               libkf5pimcommon-dev (>= 4:23.08.5~),
               libkf5prison-dev (>= 5.39.0~),
               libkf5syntaxhighlighting-dev,
               libkf5templateparser-dev (>= 4:23.08.5~),
               libkf5textaddons-dev,
               libkf5tnef-dev (>= 4:23.08.5~),
               libkf5webengineviewer-dev (>= 4:23.08.5~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkpimgapi-dev (>= 23.08.5~),
               libkpimimportwizard-dev (>= 4:23.08.5~),
               libkpimitinerary-dev (>= 23.08.5~),
               libkpimpkpass-dev (>= 23.08.5~),
               libmarkdown2-dev (>= 2),
               libpoppler-qt5-dev,
               libqt5webchannel5-dev (>= 5.6.1~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: https://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons

Package: kdepim-addons
Architecture: any
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kaddressbook (<= 4:16.04),
        kmail (<= 4:16.08.2),
        korganizer (<= 4:16.04),
        libkf5contacteditor-data (<= 4:17.12),
        libkf5messageviewer5 (<= 4:16.04),
        libkf5pimcommon5 (<= 4:16.04),
        ${kde-l10n:all},
Replaces: kaddressbook (<= 4:16.04),
          kmail (<= 4:16.08.2),
          korganizer (<= 4:16.04),
          libkf5contacteditor-data (<= 4:17.12),
          libkf5messageviewer5 (<= 4:16.04),
          libkf5pimcommon5 (<= 4:16.04),
          ${kde-l10n:all},
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = optimize=-lto

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kdepim-addons 24.08.2

=== debian/changelog ===
kdepim-addons (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify the package.
    - Use wildcards for some of the symbols.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 31 Oct 2024 09:35:00 -0500

kdepim-addons (24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:05:56 +0200

kdepim-addons (24.08.0-7) experimental; urgency=medium

  * Disable tests.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 08:35:52 +0200

kdepim-addons (24.08.0-6) experimental; urgency=medium

  [ Matthias Geiger ]
  * d/rules: set relevant rust flags for mixed build, use packaged
    crates

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Oct 2024 20:39:00 +0200

kdepim-addons (24.08.0-5) experimental; urgency=medium

  [ Patrick Franz ]
  * Allow tests to fail on armhf instead of i386.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Oct 2024 20:51:23 +0200

kdepim-addons (24.08.0-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Allow tests to fail on i386.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Oct 2024 19:46:23 +0200

kdepim-addons (24.08.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Limit the build to architectutes where akonadi-calendar & kitinerary
    are available.

 -- Patrick Franz <deltaone@debian.org>  Wed, 02 Oct 2024 23:55:00 +0200

kdepim-addons (24.08.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add Rust build-dependencies to build the adblocker.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Sep 2024 17:38:31 +0200

kdepim-addons (24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Sep 2024 22:24:25 +0200

kdepim-addons (22.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch libgpgmepp-dev B-D to libqgpgme-dev (Closes: #1078483).

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 Aug 2024 18:49:48 +0200

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: ca-certificates,
               cargo,
               cmake (>= 3.16~),
               corrosion,
               dbus <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libakonadi-dev (>= 4:24.08.2~),
               libakonadicalendar-dev (>= 4:24.08.2~),
               libakonadicontact-dev (>= 4:24.08.2~),
               libcalendarsupport-dev (>= 4:24.08.2~),
               libgpgmepp-dev (>= 1.16.0~),
               libgrantleetheme-dev (>= 24.08.2~),
               libgravatar-dev (>= 4:24.08.2~),
               libincidenceeditor-dev (>= 24.08.2~),
               libkaddressbook-dev (>= 4:24.08.2~),
               libkcalendarutils-dev (>= 4:24.08.2~),
               libkdepim-dev (>= 4:24.08.2~),
               libkf6calendarcore-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6contacts-dev (>= 6.3.0~),
               libkf6dbusaddons-dev (>= 6.3.0~),
               libkf6declarative-dev (>= 6.3.0~),
               libkf6guiaddons-dev (>= 6.3.0~),
               libkf6holidays-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6iconthemes-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6parts-dev (>= 6.3.0~),
               libkf6prison-dev (>= 6.3.0~),
               libkf6syntaxhighlighting-dev (>= 6.3.0~),
               libkf6texttemplate-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libkidentitymanagement-dev (>= 24.08.0~),
               libkimap-dev (>= 24.08.2~),
               libkitinerary-dev (>= 24.08.2~),
               libkleo-dev (>= 4:24.08.2~),
               libkmailtransport-dev (>= 24.08.2~),
               libkmime-dev (>= 24.08.2~),
               libkpimimportwizard-dev (>= 4:24.08.2~),
               libkpimtextedit-dev (>= 24.08.2~),
               libkpkpass-dev (>= 24.08.2~),
               libksieve-dev (>= 4:24.08.2~),
               libktextaddons-dev (>= 1.5.4~),
               libktnef-dev (>= 4:24.08.2~),
               libmailcommon-dev (>= 4:24.08.2~),
               libmailimporter-dev (>= 4:24.08.2~),
               libmarkdown2-dev (>= 2.2.5~),
               libpimcommon-dev (>= 4:24.08.2~),
               librust-adblock-dev,
               librust-cxx-build-dev,
               librust-cxx-dev,
               messagelib-dev (>= 4:24.08.2~),
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-webengine-dev (>= 6.6.0+dfsg~),
               rustc,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kdepim-addons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons
Rules-Requires-Root: no

Package: kdepim-addons
Architecture: amd64 arm64 armhf
Multi-Arch: same
Depends: plasma-desktoptheme,
         qml6-module-org-kde-config,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kitemmodels,
         qml6-module-qtcore,
         qml6-module-qtqml,
         qml6-module-qtqml-base,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-shapes,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.

## kdepim-addons 24.12.0

=== debian/changelog ===
kdepim-addons (24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:53:20 +0100

kdepim-addons (24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:40:13 +0100

kdepim-addons (24.08.2-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps.

 -- Patrick Franz <deltaone@debian.org>  Wed, 11 Dec 2024 21:30:19 +0100

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: ca-certificates,
               cargo,
               cmake (>= 3.16~),
               corrosion,
               dbus <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:24.12.0~),
               libakonadicalendar-dev (>= 4:24.12.0~),
               libakonadicontact-dev (>= 4:24.12.0~),
               libcalendarsupport-dev (>= 4:24.12.0~),
               libgpgmepp-dev (>= 1.23.2~),
               libgrantleetheme-dev (>= 24.12.0~),
               libgravatar-dev (>= 4:24.12.0~),
               libincidenceeditor-dev (>= 24.12.0~),
               libkaddressbook-dev (>= 4:24.12.0~),
               libkcalendarutils-dev (>= 4:24.12.0~),
               libkdepim-dev (>= 4:24.12.0~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6colorscheme-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6configwidgets-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6declarative-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6holidays-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6parts-dev (>= 6.6.0~),
               libkf6prison-dev (>= 6.6.0~),
               libkf6syntaxhighlighting-dev (>= 6.6.0~),
               libkf6texttemplate-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 24.12.0~),
               libkimap-dev (>= 24.12.0~),
               libkitinerary-dev (>= 24.12.0~),
               libkldap-dev (>= 24.12.0~),
               libkleo-dev (>= 4:24.12.0~),
               libkmailtransport-dev (>= 24.12.0~),
               libkmime-dev (>= 24.12.0~),
               libkpimimportwizard-dev (>= 4:24.12.0~),
               libkpimtextedit-dev (>= 24.12.0~),
               libkpkpass-dev (>= 24.12.0~),
               libksieve-dev (>= 4:24.12.0~),
               libktextaddons-dev (>= 1.5.4~),
               libktnef-dev (>= 4:24.12.0~),
               libmailcommon-dev (>= 4:24.12.0~),
               libmailimporter-dev (>= 4:24.12.0~),
               libmarkdown2-dev (>= 2.2.5~),
               libpimcommon-dev (>= 4:24.12.0~),
               libplasmaactivities-dev (>= 6.1.0~),
               librust-adblock-dev,
               librust-cxx-build-dev,
               librust-cxx-dev,
               messagelib-dev (>= 4:24.12.0~),
               qml6-module-org-kde-kcmutils,
               qt6-base-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~),
               rustc,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kdepim-addons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdepim-addons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdepim-addons.git
Rules-Requires-Root: no

Package: kdepim-addons
Architecture: amd64 arm64 armhf
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.

## kdepim-addons 24.12.2

=== debian/changelog ===
kdepim-addons (24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 00:09:37 +0100

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               ca-certificates,
               cargo,
               cmake (>= 3.16~),
               corrosion,
               dbus <!nocheck>,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:24.12.2~),
               libakonadicalendar-dev (>= 4:24.12.2~),
               libakonadicontact-dev (>= 4:24.12.2~),
               libcalendarsupport-dev (>= 4:24.12.2~),
               libgpgmepp-dev (>= 1.23.2~),
               libgrantleetheme-dev (>= 24.12.2~),
               libgravatar-dev (>= 4:24.12.2~),
               libincidenceeditor-dev (>= 24.12.2~),
               libkaddressbook-dev (>= 4:24.12.2~),
               libkcalendarutils-dev (>= 4:24.12.2~),
               libkdepim-dev (>= 4:24.12.2~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6colorscheme-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6configwidgets-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6declarative-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6holidays-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6parts-dev (>= 6.6.0~),
               libkf6prison-dev (>= 6.6.0~),
               libkf6syntaxhighlighting-dev (>= 6.6.0~),
               libkf6texttemplate-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 24.12.2~),
               libkimap-dev (>= 24.12.2~),
               libkitinerary-dev (>= 24.12.2~),
               libkldap-dev (>= 24.12.2~),
               libkleo-dev (>= 4:24.12.2~),
               libkmailtransport-dev (>= 24.12.2~),
               libkmime-dev (>= 24.12.2~),
               libkpimimportwizard-dev (>= 4:24.12.2~),
               libkpimtextedit-dev (>= 24.12.2~),
               libkpkpass-dev (>= 24.12.2~),
               libksieve-dev (>= 4:24.12.2~),
               libktextaddons-dev (>= 1.5.4~),
               libktnef-dev (>= 4:24.12.2~),
               libmailcommon-dev (>= 4:24.12.2~),
               libmailimporter-dev (>= 4:24.12.2~),
               libmarkdown2-dev (>= 2.2.5~),
               libpimcommon-dev (>= 4:24.12.2~),
               libplasmaactivities-dev (>= 6.1.0~),
               librust-adblock-dev,
               librust-cxx-build-dev,
               librust-cxx-dev,
               messagelib-dev (>= 4:24.12.2~),
               qml6-module-org-kde-kcmutils,
               qt6-base-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~),
               rustc,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kdepim-addons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdepim-addons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdepim-addons.git
Rules-Requires-Root: no

Package: kdepim-addons
Architecture: amd64 arm64 armhf
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.
